%bcond_without lto
%bcond_without openssl
%if %{with lto}
%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto
%endif
Name:                goaccess
Version:             1.9.3
Release:             1
Summary:             Real-time web log analyzer and interactive viewer
License:             GPLv2+
URL:                 https://goaccess.io/
Source0:             https://tar.goaccess.io/%{name}-%{version}.tar.gz
Patch0:		     0001-Fix-usage-exit-code.patch 
BuildRequires:       autoconf automake gcc GeoIP-devel ncurses-devel gettext-devel
%if %{with openssl}
BuildRequires:       openssl-devel
%endif
BuildRequires:       make
%description
GoAccess is a real-time web log analyzer and interactive viewer that runs in a
terminal in *nix systems. It provides fast and valuable HTTP statistics for
system administrators that require a visual server report on the fly.

%prep
%autosetup -p1
sed -i '/-pthread/d' configure.ac

#automake 1.17
sed -i "s|am__api_version='1.16|am__api_version='1.17|g" configure

%build
autoreconf -f
%configure \
    --enable-debug \
    --enable-geoip=legacy \
    --enable-utf8 \
    --with-getline \
    %{?with_openssl: --with-openssl}
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/browsers.list
%config(noreplace) %{_sysconfdir}/%{name}/podcast.list
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Aug 05 2024 xu_ping <707078654@qq.com> - 1.9.3-1
- Upgrade version to 1.9.3
- Added Address Sanitizer via '--enable-asan' to the configure options for debugging purposes.
- Replaced 'remote_ip' with 'client_ip' for Caddy's JSON format, allowing the use of trusted proxies.
- Deprecated '--output-format'; now, only the '--output' option is permissible.

* Sat Jul 27 2024 yuanlipeng <yuanlipeng2@huawei.com> - 1.7.2-2
- Fix build failure due to automake upgrade

* Mon Apr 17 2023 liyanan <thistleslyn@163.com> - 1.7.2-1
- Update to 1.7.2

* Fri Oct 8 2021 baizhonggui <baizhonggui@huawei.com> - 1.4.6-2
- Fix goaccess -h/--help exit-code: 1 to 0

* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 1.4.6-1
- package init
